SQL-инъекция в Moodle

Дата публикации:
09.11.2004
Дата изменения:
16.10.2006
Всего просмотров:
4790
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Moodle 1.2.x
Moodle 1.3.x
Moodle 1.4.x
Уязвимые версии: Moodle версии до 1.4.2

Описание:
Обнаружена уязвимость в Moodle. Удаленный атакующий может выполнить произвольные SQL команды на уязвимом сервере.

Уязвимость существует из-за некорректной фильтрации данных в параметрах hook и id модуля glossary. Удаленный атакующий может с помощью специально сформированного URL выполнить произвольные SQL команды.

URL производителя: www.moodle.org

Решение: Установите обновление
http://moodle.org/mod/resource/view.php?id=2958

Ссылки: Moodle Glosary Module Input Validation Holes May Let Remote Users Inject SQL Commands

или введите имя

CAPTCHA